%define major			2
%define libname			%mklibname %{name} %{major}
%define libnamedev		%mklibname %{name} -d
%define ulock_major		1

Summary:	Interface for userspace programs to export a virtual filesystem to the kernel
Name:		fuse
Version:	2.9.9
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		https://github.com/libfuse/libfuse/
Source0:	https://github.com/libfuse/libfuse/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz
Source1:	fuse.conf
Source2:	fuse-makedev.d-fuse
Patch1:		mount-readlink-hang-workaround.patch
Patch2:		fuse-2.9.2-namespace-conflict-fix.patch
BuildRequires:  libtool
BuildRequires:  gettext-devel
Requires(post):	makedev
Requires(post):	rpm-helper
Requires(preun): rpm-helper
Requires:	%{name}-common

%description
FUSE (Filesystem in USErspace) is a simple interface for userspace
programs to export a virtual filesystem to the linux kernel.  FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

%package -n	%{libnamedev}
Summary:	Header files and development libraries for libfuse2
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}fuse-static-devel
Obsoletes:	%{_lib}fuse2-devel
Obsoletes:	%{_lib}fuse2-static-devel

%description -n	%{libnamedev}
Header files and development libraries for fuse.

%package -n	%{libname}
Summary:	Libraries for fuse
Group:		System/Libraries

%description -n	%{libname}
Libraries for fuse.

%package common
Summary:	Common files for File System in Userspace (FUSE) v2 and v3
Group:		System/Libraries
BuildArch:	noarch

%description common
Common files for FUSE v2 and FUSE v3.

%prep
%setup -q
%apply_patches

sed -i 's|mknod|/bin/echo Disabled: mknod |g' util/Makefile.in

%build
export MOUNT_FUSE_PATH=%{_sbindir}
export INIT_D_PATH=%{_initrddir}
%configure2_5x \
	--disable-static
%make_build

%install
%make_install

install -Dpm644 %{SOURCE1} %{buildroot}%{_sysconfdir}/fuse.conf
install -Dpm644 %{SOURCE2} %{buildroot}%{_sysconfdir}/makedev.d/z-fuse

rm -rf %{buildroot}%{_sysconfdir}/rc.d/init.d %{buildroot}%{_sysconfdir}/udev/rules.d
rm -rf %{buildroot}%{_libdir}/*.la

#symlink because we have not converted our filesystem
mkdir -p %buildroot/sbin
ln -fs %{_sbindir}/mount.fuse %buildroot/sbin/mount.fuse


%files
%doc AUTHORS ChangeLog NEWS README.md README.NFS
%doc COPYING
/sbin/mount.fuse
%attr(0755,root,root) %{_sbindir}/mount.fuse
%attr(4755,root,root) %{_bindir}/fusermount
%attr(0755,root,root) %{_bindir}/ulockmgr_server
%{_mandir}/man1/fusermount.1*
%{_mandir}/man1/ulockmgr_server.1*
%{_mandir}/man8/mount.fuse.8*

%files common
%config(noreplace) %{_sysconfdir}/makedev.d/z-fuse
%config(noreplace) %{_sysconfdir}/fuse.conf

%files -n %{libname}
%doc COPYING.LIB
%{_libdir}/libfuse.so.%{major}*
%{_libdir}/libulockmgr.so.%{ulock_major}*

%files -n %{libnamedev}
%{_includedir}/fuse/
%{_includedir}/*.h
%{_libdir}/libfuse.so
%{_libdir}/libulockmgr.so
%{_libdir}/pkgconfig/fuse.pc


%changelog
* Thu Jul 04 2019 tex 2.9.9-1pclos2019
- 2.9.9
